#!/bin/bash
cd Timelapse
electronize build /target custom "win-x86;win" /electron-arch ia32 /p:PublishReadyToRun=false
electronize build /target custom "win-x64;win" /electron-arch x64 /p:PublishReadyToRun=false

electronize build /target custom "win10-x86;win" /electron-arch ia32 /p:PublishReadyToRun=false
electronize build /target custom "win10-x64;win" /electron-arch x64 /p:PublishReadyToRun=true
electronize build /target custom "win-arm;win" /electron-arch armv7l /p:PublishReadyToRun=false
electronize build /target custom "win10-arm;win" /electron-arch armv7l /p:PublishReadyToRun=false
electronize build /target custom "win10-arm64;win" /electron-arch arm64 /p:PublishReadyToRun=false

#Usage: msi-packager <source> <output> [options]

#source     Directory containing app to package
#output     write output .msi to this path

#Options:
#   -n, --name           
#   -v, --version        Specify application version
#   -m, --manufacturer   
#   -a, --arch           Specify the target architecture: x86 or x64 (optional)
#   -u, --upgrade-code   Specify GUID to use for upgrading from other versions
#   -i, --icon           Specify an icon to use on shortcuts and installer
#   -e, --executable     Specify file to create shortcuts for
#   -l, --local          Install per user (no administrator rights required)

#msi-packager "bin/Desktop/win-unpacked/" "../timelapsenow_1.0.0_setup-win64.msi" --icon ../desktop.ico --executable Timelapse.exe --version 1.0.0.0 --manufacturer Tesses --upgrade-code "{ee77af57-c962-4b61-a211-d4c1f08fe30f}" --arch x64 --name TimelapseNow
#msi-packager "bin/Desktop/win-ia32-unpacked/" "../timelapsenow_1.0.0_setup-win32.msi" --icon ../desktop.ico --executable Timelapse.exe --version 1.0.0.0 --manufacturer Tesses --upgrade-code "{ee77af57-c962-4b61-a211-d4c1f08fe30f}" --arch x86 --name TimelapseNow
#msi-packager "bin/Desktop/win10-unpacked/" "../timelapsenow_1.0.0_setup-win10-64.msi" --icon ../desktop.ico --executable Timelapse.exe --version 1.0.0.0 --manufacturer Tesses --upgrade-code "{ee77af57-c962-4b61-a211-d4c1f08fe30f}" --arch x64 --name TimelapseNow
#si-packager "bin/Desktop/win10-ia32-unpacked/" "../timelapsenow_1.0.0_setup-win10-32.msi" --icon ../desktop.ico --executable Timelapse.exe --version 1.0.0.0 --manufacturer Tesses --upgrade-code "{ee77af57-c962-4b61-a211-d4c1f08fe30f}" --arch x86 --name TimelapseNow
